import matplotlib.pyplot as plt
numargs = halfnorm.numargs
[  ] = [0.9,] * numargs
rv = halfnorm()

# Display frozen pdf

x = np.linspace(0, np.minimum(rv.dist.b, 3))
h = plt.plot(x, rv.pdf(x))

# Check accuracy of cdf and ppf

prb = halfnorm.cdf(x, )
h = plt.semilogy(np.abs(x - halfnorm.ppf(prb, )) + 1e-20)

# Random number generation

R = halfnorm.rvs(size=100)
